# services/harbor/kustomization.yaml
apiVersion: kustomize.config.k8s.io/v1beta1
kind: Kustomization
namespace: harbor
generatorOptions:
  disableNameSuffixHash: true
resources:
  - namespace.yaml
  - serviceaccount.yaml
  - secretproviderclass.yaml
  - pvc.yaml
  - certificate.yaml
  - helmrelease.yaml
  - vault-sync-deployment.yaml
  - image.yaml
configMapGenerator:
  - name: harbor-vault-entrypoint
    files:
      - scripts/vault-entrypoint.sh
